> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truust.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Bundle

> Updates an existing bundle's properties.



## OpenAPI

````yaml PUT /bundles/{bundle_id}
openapi: 3.1.0
info:
  title: Truust API
  version: '2.0'
  description: >
    The Truust API allows you to manage payment flows, orders, customers,
    wallets, and more.


    ## Authentication


    All authenticated endpoints require a Bearer token using your account's
    **Secret Key**.


    ```

    Authorization: Bearer {your_secret_key}

    ```


    Your API keys are available in the Dashboard under **Account Settings → API
    Developers**.
  contact:
    email: hello@truust.io
  license:
    name: Proprietary
servers:
  - url: https://{subdomain}.truust.io/2.0
    description: Production
    variables:
      subdomain:
        default: your-subdomain
        description: Your account subdomain
  - url: https://{subdomain}-sandbox.truust.io/2.0
    description: Sandbox
    variables:
      subdomain:
        default: your-subdomain
        description: Your account subdomain
security:
  - bearerAuth: []
tags:
  - name: Account
    description: Manage your Truust account
  - name: Customers
    description: Manage buyers and sellers (end users)
  - name: Orders
    description: Create and manage escrow payment orders
  - name: Payins
    description: Manage incoming payments for orders
  - name: Payouts
    description: Manage outgoing payments from orders
  - name: Wallets
    description: Manage customer and account wallets
  - name: Bank Accounts
    description: Manage bank accounts for payouts
  - name: Cards
    description: Manage tokenized payment cards
  - name: Subscriptions
    description: Manage recurring payment subscriptions
  - name: Verifications
    description: KYC verification for customers and accounts
  - name: Bundles
    description: Manage product bundles for orders
  - name: Refunds
    description: View refund records
paths:
  /bundles/{bundle_id}:
    put:
      tags:
        - Bundles
      summary: Update bundle
      description: Updates an existing bundle's properties.
      operationId: updateBundle
      parameters:
        - name: bundle_id
          in: path
          required: true
          schema:
            type: string
          description: Bundle ID.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              example:
                name: New product name
                value: 10
              properties:
                name:
                  type: string
                  maxLength: 120
                  example: New product name
                description:
                  type: string
                  maxLength: 255
                value:
                  type: number
                  format: float
                  minimum: 0
                  example: 10
                is_active:
                  type: boolean
                is_shippable:
                  type: boolean
                value_shipping:
                  type: number
                  format: float
                  minimum: 0
                  description: Required if `is_shippable` is `true`.
                tag:
                  type: string
                  maxLength: 50
                metadata:
                  type: object
                  additionalProperties: true
                images:
                  type: array
                  items:
                    type: string
                expiration:
                  type: string
                  format: date-time
                expiration_unit:
                  type: number
                expiration_amount:
                  type: number
      responses:
        '200':
          description: Updated bundle
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Bundle'
        '422':
          $ref: '#/components/responses/ValidationError'
components:
  schemas:
    Bundle:
      type: object
      properties:
        id:
          type: integer
        self:
          type: string
        name:
          type: string
        description:
          type: string
          nullable: true
        value:
          type: number
        value_shipping:
          type: number
          nullable: true
        currency:
          type: string
          example: EUR
        amount:
          type: string
          nullable: true
          description: Formatted price with currency symbol.
        amount_shipping:
          type: string
          nullable: true
        buyer_link:
          type: string
          format: uri
          nullable: true
        images:
          type: array
          nullable: true
          items:
            type: string
        expiration:
          type: string
          format: date-time
          nullable: true
        expiration_unit:
          type: number
          nullable: true
        expiration_amount:
          type: number
          nullable: true
        is_expired:
          type: boolean
        is_active:
          type: boolean
        is_shippable:
          type: boolean
        tag:
          type: string
          nullable: true
        visits:
          type: integer
          nullable: true
        metadata:
          type: object
          nullable: true
          additionalProperties: true
        created_by:
          type: integer
          nullable: true
        created_at:
          type: string
          format: date-time
          nullable: true
        updated_at:
          type: string
          format: date-time
          nullable: true
        qr_link:
          type: string
          format: uri
          nullable: true
        connections:
          $ref: '#/components/schemas/Connections'
    Connections:
      type: object
      description: Hypermedia links to related resources.
      additionalProperties:
        type: string
  responses:
    ValidationError:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: The given data was invalid.
              errors:
                type: object
                additionalProperties:
                  type: array
                  items:
                    type: string
                example:
                  name:
                    - The name field is required.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Use your account's **Secret Key** as the Bearer token.

````